# Interface SelectRowOptions<RowData>

interface SelectRowOptions<RowData = unknown> {
compareWith?: (o1: RowData, o2: RowData) => boolean;
emitChanges?: boolean;
multiple?: boolean;
selected?: RowData[];
}

#### Type Parameters

- RowData = unknown

- Defined in packages/angular/material/table-system/src/lib/select-row/select-row.options.ts:1

#####
Index

### Properties

compareWith?
emitChanges?
multiple?
selected?

##
Properties

### `Optional` compareWith

compareWith?: (o1: RowData, o2: RowData) => boolean

- Defined in packages/angular/material/table-system/src/lib/select-row/select-row.options.ts:5

### `Optional` emitChanges

emitChanges?: boolean

- Defined in packages/angular/material/table-system/src/lib/select-row/select-row.options.ts:4

### `Optional` multiple

multiple?: boolean

- Defined in packages/angular/material/table-system/src/lib/select-row/select-row.options.ts:2

### `Optional` selected

selected?: RowData[]

- Defined in packages/angular/material/table-system/src/lib/select-row/select-row.options.ts:3